Subject: 29.0.60; help-quit is broken

From: Juri Linkov <[email-masked]>
Date: Thu, 22 Dec 2022 09:56:20 +0200

In addition to the below problems mentioned in bug#60101,
the problem occurs in other places too, for example, opening
a package from the package list displays such messages:

  Type M-x help-quit to restore previous buffer.
  Type M-x help-quit to restore previous buffer, C-v to scroll help.

> I tried to reproduce this problem, and typed 'C-h C-h' that showed:
>
>   Other Help Commands
>
>      C-e 	Extending Emacs with external packages
>      p 	Search for Emacs packages (see also M-x list-packages)
>      P 	Describe a specific Emacs package
>
>      t 	Start the Emacs tutorial
>      M-x help-quick-or-quit 	Display the quick help buffer.
>      e 	Show recent messages (from echo area)
>      l 	Show last 300 input keystrokes (lossage)
>      . 	Show local help at point
>
> I wonder if typing the suggested 'M-x help-quick-or-quit'
> is really a quick way to get help?
>
> Then I typed 'M-x help-quick-or-quit RET' but it doesn't exist
> with "[No match]".
>
> Then after 'C-h C-h' I tried to type 'q' (that means 'quick')
> but it closed the Help window.
>
> Finally, I opened the source code and found the command
> 'M-x cheat-sheet RET' that displayed the Help buffer.
>
> But there is 'undo' displayed as bound to 'C-x u', not to other keys.

It's not clear whether the name intended to be help-quick-or-quit
or help-quit-or-quick?